> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets full product detail.



## OpenAPI

````yaml /openapi.json get /api/v1/Products/{supplierId}/{sku}
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Products/{supplierId}/{sku}:
    get:
      tags:
        - Products
      summary: Gets full product detail.
      parameters:
        - name: supplierId
          in: path
          required: true
          schema:
            type: string
        - name: sku
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductDetailServiceResult'
components:
  schemas:
    ProductDetailServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/ProductDetail'
      additionalProperties: false
      description: Generic container for all service responses
    ProductDetail:
      type: object
      properties:
        isOwner:
          type: boolean
          description: Is the owner the account which requested this data
        itemTypeCode:
          $ref: '#/components/schemas/ItemTypeEnum'
        header:
          $ref: '#/components/schemas/GeneralInfo'
        sellingInfos:
          type: array
          items:
            $ref: '#/components/schemas/SellingInfo'
          description: Selling information
          nullable: true
        ptoInfos:
          type: array
          items:
            $ref: '#/components/schemas/PtoInfo'
          description: Pick-To-Order information
          nullable: true
        bomInventories:
          type: array
          items:
            $ref: '#/components/schemas/BomInventory'
          description: Bill of Materials information
          nullable: true
      additionalProperties: false
      description: The full details for a product in the WineDirect system
    ItemTypeEnum:
      enum:
        - NotSet
        - ACC
        - CARD
        - FOOD
        - GSET
        - INSERT
        - PACK
        - PTO
        - WINE
      type: string
    GeneralInfo:
      required:
        - supplierId
      type: object
      properties:
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        upcCode:
          type: string
          description: UPC Code
          nullable: true
        description:
          type: string
          description: Product description
          nullable: true
        itemTypeCode:
          type: string
          description: "The Item Type (Code)\r\n            \r\n     ACC - Accessory\r\n     FOOD - Food\r\n     GSET - Gift Set\r\n     CARD - Greeting Card\r\n     PACK - Packaging\r\n     WINE - Wine/Sparkling \r\n     PTO - Pick-To-Order\r\n     INSERT - An insert"
          nullable: true
        itemTypeName:
          type: string
          description: The Item Type (Name)
          nullable: true
        brandName:
          type: string
          description: The Brand Name
          nullable: true
        fancifulName:
          type: string
          description: The fanciful name
          nullable: true
        appellation:
          type: string
          description: The Appellation
          nullable: true
        varietal:
          type: string
          description: The Varietal
          nullable: true
        vintage:
          type: string
          description: The Vintage
          nullable: true
        alcoholTypeCode:
          type: string
          description: "The Alcohol Type (Code)\r\n            \r\n    STILL - Still"
          nullable: true
        alcoholPercentage:
          type: string
          description: The Alcohol Percentage
          nullable: true
        bottleSizeMl:
          type: string
          description: The Bottle size in ML
          nullable: true
        unitsPerCase:
          type: string
          description: How many units are in each case
          nullable: true
        vineyardDesignation:
          type: string
          description: The Vineyard's Designation
          nullable: true
        ttbApprovalNumber:
          type: string
          description: the Alcohol and Tobacco Tax and Trade Bureau approval number
          nullable: true
        countryOfOriginCode:
          type: string
          description: The Country Of Origin Code
          nullable: true
        countryOfOriginName:
          type: string
          description: The Country Of Origin
          nullable: true
        regionOfOrigin:
          type: string
          description: The Region Of Origin
          nullable: true
        weight:
          type: number
          description: The Weight in lbs
          format: double
        unitsOfMeasure:
          type: string
          description: The Units Of Measure
          nullable: true
        isAvailableForSourcing:
          type: boolean
          description: Is the product available for sourcing
        additionalAttributes:
          type: string
          description: Any additional attributes, eg Customer Etched Bottle
          nullable: true
        isBidStickered:
          type: boolean
          description: Is this BID Stickered
        retailPrice:
          type: number
          description: The Retail Price
          format: double
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        supplierName:
          type: string
          description: The name of the supplier
          nullable: true
        deactivationStatus:
          $ref: '#/components/schemas/ItemStatusEnum'
        vasCode:
          type: string
          description: Value Added Service (Code)
          nullable: true
        vasName:
          type: string
          description: Value Added Service (Name)
          nullable: true
        orientation:
          type: string
          description: Orientation
          nullable: true
        location:
          type: string
          description: Location
          nullable: true
      additionalProperties: false
    SellingInfo:
      required:
        - sellerAccountNumber
      type: object
      properties:
        sellerAccountNumber:
          minLength: 2
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        sellerName:
          type: string
          description: The name of the seller
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description
          nullable: true
        retailPrice:
          type: number
          description: Retail Price
          format: double
        supplierName:
          type: string
          description: The name of the supplier
          nullable: true
        supplierPayment:
          type: number
          description: The payment the supplier gets
          format: double
      additionalProperties: false
      description: Selling details
    PtoInfo:
      type: object
      properties:
        componentNumber:
          type: integer
          description: The  Component Number
          format: int32
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: ''
          nullable: true
        quantity:
          type: integer
          description: Quantity
          format: int32
        retailPrice:
          type: number
          description: Retail Price
          format: double
        weight:
          type: number
          description: Weight
          format: double
        unitsOfMeasure:
          type: string
          description: Unit of Measure
          nullable: true
        itemTypeCode:
          $ref: '#/components/schemas/ItemTypeEnum'
        itemTypeName:
          type: string
          description: The Item Type (Name)
          nullable: true
      additionalProperties: false
      description: >-
        Pick to Order - A group of products submitted under one SKU# that
        requires multiple picks and does not need to be pre-assembled in
        advance.
    BomInventory:
      type: object
      properties:
        warehouseCode:
          type: string
          description: The Warehouse (Code)
          nullable: true
        warehouseName:
          type: string
          description: The Warehouse (Name)
          nullable: true
        wineDirectSku:
          type: string
          description: WineDirect's SKU
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description
          nullable: true
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        itemsPerGset:
          type: integer
          description: Number of items per gift set
          format: int32
        gsetsOnhand:
          type: integer
          description: Number of Gift Sets on hand
          format: int32
        itemsInGsets:
          type: integer
          description: Items in Gift sets
          format: int32
        gsetsReserved:
          type: integer
          description: Number of gift sets reserved
          format: int32
        itemsInReservedGsets:
          type: integer
          description: Items in the reserved gift sets
          format: int32
        gsetsAvailable:
          type: integer
          description: Gift Sets available
          format: int32
        itemsInAvailableGsets:
          type: integer
          description: Items in available gift sets
          format: int32
      additionalProperties: false
      description: Bill of materials Inventory
    ItemStatusEnum:
      enum:
        - NotSet
        - Deactivated
        - Eligible
        - Error
        - Ineligible
        - Requested
      type: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````